package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 小区封控情况对象 fkqk
 * 
 * @author ruoyi
 * @date 2022-11-28
 */
public class FkqkDTO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;
    /** 小区名称 */
    @Excel(name = "小区名称")
    private String community;
    /** 所在区 */
    @Excel(name = "所在区")
    private String area;
    /** 街道/镇名称 */
    @Excel(name = "街道/镇名称")
    private String street;
    @Excel(name = "居委会")
    private String committee;
    /** 楼号 */
    @Excel(name = "楼号")
    private String floor;

    /** 楼号单元号门牌号 */
    @Excel(name = "单元号")
    private String unit;
    /** 楼号单元号门牌号 */
    @Excel(name = "楼层（填写1-32，如果有多个楼层，用英文,分割，例：1,2）")
    private String level;
    /** 封控明细 */
    @Excel(name = "封控明细")
    private String fkDetailed;
       /** 封控明细 */
    @Excel(name = "涉及封控户数")
    private String fkHs;
       /** 封控明细 */
    @Excel(name = "涉及封控人数")
    private String fkRs;
    /** 封控时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "封控时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fkTime;

    /** 解封时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "拟解封时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date jfTime;
    /** 封控明细 */
    @Excel(name = "是否解封", dictType = "isJf",combo = "")
    private String isJf;

    /** 解封时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "实际解封时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date realTime;
    /** 解封时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "封控后最近一次核酸检测时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date hsTime;
    @Excel(name = "备注")
    private String remark;
    /** 状态（0正常 1停用） */
//    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;
    /** 错误提示 */
    private String tips;

    public String getCommittee() {
        return committee;
    }

    public void setCommittee(String committee) {
        this.committee = committee;
    }

    public String getTips() {
        return tips;
    }

    public void setTips(String tips) {
        this.tips = tips;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getFkDetailed() {
        return fkDetailed;
    }

    public void setFkDetailed(String fkDetailed) {
        this.fkDetailed = fkDetailed;
    }

    public String getFkHs() {
        return fkHs;
    }

    public void setFkHs(String fkHs) {
        this.fkHs = fkHs;
    }

    public String getFkRs() {
        return fkRs;
    }

    public void setFkRs(String fkRs) {
        this.fkRs = fkRs;
    }

    public String getIsJf() {
        return isJf;
    }

    public void setIsJf(String isJf) {
        this.isJf = isJf;
    }

    public Date getRealTime() {
        return realTime;
    }

    public void setRealTime(Date realTime) {
        this.realTime = realTime;
    }

    public Date getHsTime() {
        return hsTime;
    }

    public void setHsTime(Date hsTime) {
        this.hsTime = hsTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getFloor() {
        return floor;
    }

    public void setFloor(String floor) {
        this.floor = floor;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStreet(String street) 
    {
        this.street = street;
    }

    public String getStreet() 
    {
        return street;
    }
    public void setCommunity(String community) 
    {
        this.community = community;
    }

    public String getCommunity() 
    {
        return community;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setFkTime(Date fkTime) 
    {
        this.fkTime = fkTime;
    }

    public Date getFkTime() 
    {
        return fkTime;
    }
    public void setJfTime(Date jfTime) 
    {
        this.jfTime = jfTime;
    }

    public Date getJfTime() 
    {
        return jfTime;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("street", getStreet())
            .append("community", getCommunity())
            .append("unit", getUnit())
            .append("fkTime", getFkTime())
            .append("jfTime", getJfTime())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .append("floor", getFloor())
            .toString();
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }
}
