package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

/**
 * 隔离点人员对象 gldry
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public class Gldry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 隔离点名称 */
    @Excel(name = "隔离点名称",dictType = "isolation_point")
    private String glPlace;

    /** 房间号 */
    @Excel(name = "房间号")
    private String room;

    /** 居住人姓名 */
    @Excel(name = "居住人姓名")
    private String jzName;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String cardNo;

    /** 身份证号码校验 */
    @Excel(name = "身份证格式校验")
    private String checkCard;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 是否阳性（阳，未阳） */
    // 新增字段
    @Excel(name = "是否阳性",dictType = "is_yx",type = Excel.Type.EXPORT)
    private String isYx;

    /** 居住地所在区 */
    @Excel(name = "居住地所在区", dictType = "residential_area")
    private String area;

    /** 街道/镇 */
    @Excel(name = "街道/镇")
    private String street;

    /** 居委会 */
    @Excel(name = "居委会")
    private String committee;

    /** 小区/村名称 */
    @Excel(name = "小区/村名称")
    private String community;

    /** 楼号单元号门牌号 */
//    @Excel(name = "楼号单元号门牌号")
    private String unit;

    /** 楼号 */
    // 新增字段
    @Excel(name = "楼号")
    private String buildingNo;

    /** 单元号 */
    // 新增字段
    @Excel(name = "单元号")
    private String unitNo;

    /** 门牌号 */
    // 新增字段
    @Excel(name = "门牌号")
    private String houseNo;

    /** 转入时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "转入时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date zrTime;
    /** 从其他隔离点转来时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "从其他隔离点转来时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date otherZrTime;

    /** 转出时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "转出时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date zcTime;

    /** 备注 */
    @Excel(name = "备注")
    // 新增字段
    private String remark;

    /** 创建时间 */
    // 新增于2022-11-30
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime;

    /** 状态（0正常 1停用） */
//    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    //当前登录人类别
    @Transient
    private String userType;

    //当前登录人所属value
    @Transient
    private String value;
    /**导出选中IDLIST */
    @Transient()
    private List<String> idList;

    public List<String> getIdList() {
        return idList;
    }

    public void setIdList(List<String> idList) {
        this.idList = idList;
    }

    public Date getOtherZrTime() {
        return otherZrTime;
    }

    public void setOtherZrTime(Date otherZrTime) {
        this.otherZrTime = otherZrTime;
    }

    @Override
    public String getRemark() {
        return remark;
    }
    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }
    public void setId(Long id)
    {
        this.id = id;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getId()
    {
        return id;
    }
    public void setGlPlace(String glPlace)
    {
        this.glPlace = glPlace;
    }

    public String getGlPlace()
    {
        return glPlace;
    }
    public void setRoom(String room)
    {
        this.room = room;
    }

    public String getRoom()
    {
        return room;
    }
    public void setJzName(String jzName)
    {
        this.jzName = jzName;
    }

    public String getJzName()
    {
        return jzName;
    }
    public void setCardNo(String cardNo)
    {
        this.cardNo = cardNo;
    }

    public String getCardNo()
    {
        return cardNo;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setStreet(String street)
    {
        this.street = street;
    }

    public String getStreet()
    {
        return street;
    }
    public void setCommunity(String community)
    {
        this.community = community;
    }

    public String getCommunity()
    {
        return community;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setZrTime(Date zrTime)
    {
        this.zrTime = zrTime;
    }

    public Date getZrTime()
    {
        return zrTime;
    }
    public void setZcTime(Date zcTime)
    {
        this.zcTime = zcTime;
    }

    public Date getZcTime()
    {
        return zcTime;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getIsYx() {
        return isYx;
    }

    public void setIsYx(String isYx) {
        this.isYx = isYx;
    }

    public String getBuildingNo() {
        return buildingNo;
    }

    public void setBuildingNo(String buildingNo) {
        this.buildingNo = buildingNo;
    }

    public String getUnitNo() {
        return unitNo;
    }

    public void setUnitNo(String unitNo) {
        this.unitNo = unitNo;
    }

    public String getHouseNo() {
        return houseNo;
    }

    public void setHouseNo(String houseNo) {
        this.houseNo = houseNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("glPlace", getGlPlace())
            .append("room", getRoom())
            .append("jzName", getJzName())
            .append("cardNo", getCardNo())
            .append("phone", getPhone())
            .append("area", getArea())
            .append("street", getStreet())
            .append("community", getCommunity())
            .append("unit", getUnit())
            .append("zrTime", getZrTime())
            .append("zcTime", getZcTime())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

    public String getCheckCard() {
        return checkCard;
    }

    public void setCheckCard(String checkCard) {
        this.checkCard = checkCard;
    }

    public String getCommittee() {
        return committee;
    }

    public void setCommittee(String committee) {
        this.committee = committee;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
