package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel.Type;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

/**
 * 核酸采集对象 hscj
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public class Hscj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 省 */
    // 新增字段
    @Excel(name = "省",type = Type.EXPORT)
    private String province;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 居住地所在区 */
    @Excel(name = "区")
    private String area;

    /** 街道/镇 */
    @Excel(name = "街道")
    private String street;

    @Excel(name = "社区")
    // 新增字段2
    private String committee;

    /** 小区/村名称 */
    @Excel(name = "小区/村名称")
    private String community;

    /** 采集地点 */
    @Excel(name = "采集地点")
    private String cjPlace;

    /** 箱号 */
    @Excel(name = "箱号")
    private String boxhao;

    /** 采集管号 */
    @Excel(name = "采集管号", cellType = Excel.ColumnType.STRING)
    private String cjgh;

    @Excel(name = "是否混管", readConverterExp = "0=单管,1=混管")
    private String isHun;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 身份证号码 */
    @Excel(name = "身份证号", cellType = Excel.ColumnType.STRING)
    private String cardNo;

    /** 身份证号码格式校验 */
    @Excel(name = "身份证格式校验",type = Type.EXPORT)
    private String checkCard;

    /** 联系方式 */
    @Excel(name = "电话")
    private String phone;

    /** 性别 */
    @Excel(name = "性别",dictType = "sys_user_sex")
    private String sex;

    /** 住址 */
    @Excel(name = "住址")
    private String address;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 类别 */
    @Excel(name = "类别")
    private String category;

    /** 人员关系 */
    @Excel(name = "人员关系")
    private String rygx;

    /** 采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date cjTime;

    /** 采集人姓名 */
    @Excel(name = "采集人姓名")
    private String cjName;

    /** 采集人电话 */
    @Excel(name = "采集人电话")
    private String cjPhone;

    /** 标本类型 */
    @Excel(name = "标本类型")
    private String bblx;

    /** 接收实验室 */
    @Excel(name = "接收实验室")
    private String laboratory;

    /** 检测时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "检测时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date jcTime;

    /** 检测结果 */
    // 新增字段
    @Excel(name = "检测结果", readConverterExp = "0=阳性,1=阴性")
    private String cjResult;

    /** 备注 */
    // 新增字段
    @Excel(name = "备注")
    private String remark;

    /** 状态（0正常 1停用） */
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /**创建时间*/
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**导出选中IDLIST */
    @Transient()
    private List<String> idList;

    public List<String> getIdList() {
        return idList;
    }

    public void setIdList(List<String> idList) {
        this.idList = idList;
    }

    public String getCheckCard() {
        return checkCard;
    }

    public void setCheckCard(String checkCard) {
        this.checkCard = checkCard;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCjResult() {
        return cjResult;
    }

    public void setCjResult(String cjResult) {
        this.cjResult = cjResult;
    }


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setCity(String city)
    {
        this.city = city;
    }

    public String getCity()
    {
        return city;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setStreet(String street)
    {
        this.street = street;
    }

    public String getStreet()
    {
        return street;
    }
    public void setCommunity(String community)
    {
        this.community = community;
    }

    public String getCommunity()
    {
        return community;
    }
    public void setCjPlace(String cjPlace)
    {
        this.cjPlace = cjPlace;
    }

    public String getCjPlace()
    {
        return cjPlace;
    }
    public void setCjgh(String cjgh)
    {
        this.cjgh = cjgh;
    }

    public String getCjgh()
    {
        return cjgh;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setCardNo(String cardNo)
    {
        this.cardNo = cardNo;
    }

    public String getCardNo()
    {
        return cardNo;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setAge(Long age)
    {
        this.age = age;
    }

    public Long getAge()
    {
        return age;
    }
    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getCategory()
    {
        return category;
    }
    public void setCjTime(Date cjTime)
    {
        this.cjTime = cjTime;
    }

    public Date getCjTime()
    {
        return cjTime;
    }
    public void setCjName(String cjName)
    {
        this.cjName = cjName;
    }

    public String getCjName()
    {
        return cjName;
    }
    public void setCjPhone(String cjPhone)
    {
        this.cjPhone = cjPhone;
    }

    public String getCjPhone()
    {
        return cjPhone;
    }

    public void setLaboratory(String laboratory)
    {
        this.laboratory = laboratory;
    }

    public String getLaboratory()
    {
        return laboratory;
    }
    public void setJcTime(Date jcTime)
    {
        this.jcTime = jcTime;
    }

    public Date getJcTime()
    {
        return jcTime;
    }
    public void setRygx(String rygx)
    {
        this.rygx = rygx;
    }

    public String getRygx()
    {
        return rygx;
    }
    public void setBoxhao(String boxhao)
    {
        this.boxhao = boxhao;
    }

    public String getBoxhao()
    {
        return boxhao;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getBblx() {
        return bblx;
    }

    public void setBblx(String bblx) {
        this.bblx = bblx;
    }

    public String getCommittee() {
        return committee;
    }

    public void setCommittee(String committee) {
        this.committee = committee;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("city", getCity())
            .append("area", getArea())
            .append("street", getStreet())
            .append("community", getCommunity())
            .append("cjPlace", getCjPlace())
            .append("cjgh", getCjgh())
            .append("userName", getUserName())
            .append("cardNo", getCardNo())
            .append("phone", getPhone())
            .append("sex", getSex())
            .append("address", getAddress())
            .append("age", getAge())
            .append("category", getCategory())
            .append("cjTime", getCjTime())
            .append("cjName", getCjName())
            .append("cjPhone", getCjPhone())
            .append("bblx", getBblx())
            .append("laboratory", getLaboratory())
            .append("jcTime", getJcTime())
            .append("rygx", getRygx())
            .append("boxhao", getBoxhao())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIsHun() {
        return isHun;
    }

    public void setIsHun(String isHun) {
        this.isHun = isHun;
    }
}
