package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 核酸采集导入空模板
 *
 * @author 小明同学
 * @date 2022-11-29
 */
public class HsjcExportTemplate {

    @Excel(name = "序号")
    private String xh;

    /** 省 */
    @Excel(name = "省")
    private String province;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 居住地所在区 */
    @Excel(name = "居住地所在区")
    private String area;

    /** 街道/镇 */
    @Excel(name = "街道/镇")
    private String street;

    /** 小区/村名称 */
    @Excel(name = "小区/村名称")
    private String community;

    /** 采集地点 */
    @Excel(name = "采集地点")
    private String cjPlace;

    /** 转运箱码 */
    @Excel(name = "转运箱码")
    private String boxhao;

    /** 采集管号 */
    @Excel(name = "采集管号")
    private String cjgh;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 身份证号码 需要校验*/
    @Excel(name = "身份证号码")
    private String cardNo;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 住址 */
    @Excel(name = "住址")
    private String address;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 人员类别 */
    @Excel(name = "人员类别")
    private String category;

    /** 采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date cjTime;

    /** 采集人姓名 */
    @Excel(name = "采集人姓名")
    private String cjName;

    /** 采集人电话 */
    @Excel(name = "采集人电话")
    private String cjPhone;

    /** 标本类型 */
    @Excel(name = "标本类型")
    private String bType;

    /** 接收实验室 */
    @Excel(name = "接收实验室")
    private String laboratory;

    /** 检测时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "检测时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date jcTime;

    /** 采集结果 */
    @Excel(name = "采集结果")
    private String cjResult;

    /** 人员关系 */
    @Excel(name = "人员关系")
    private String rygx;

    /** 备注 */
    @Excel(name = "备注")
    private String remake;

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getCommunity() {
        return community;
    }

    public void setCommunity(String community) {
        this.community = community;
    }

    public String getCjPlace() {
        return cjPlace;
    }

    public void setCjPlace(String cjPlace) {
        this.cjPlace = cjPlace;
    }

    public String getBoxhao() {
        return boxhao;
    }

    public void setBoxhao(String boxhao) {
        this.boxhao = boxhao;
    }

    public String getCjgh() {
        return cjgh;
    }

    public void setCjgh(String cjgh) {
        this.cjgh = cjgh;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Long getAge() {
        return age;
    }

    public void setAge(Long age) {
        this.age = age;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Date getCjTime() {
        return cjTime;
    }

    public void setCjTime(Date cjTime) {
        this.cjTime = cjTime;
    }

    public String getCjName() {
        return cjName;
    }

    public void setCjName(String cjName) {
        this.cjName = cjName;
    }

    public String getCjPhone() {
        return cjPhone;
    }

    public void setCjPhone(String cjPhone) {
        this.cjPhone = cjPhone;
    }

    public String getbType() {
        return bType;
    }

    public void setbType(String bType) {
        this.bType = bType;
    }

    public String getLaboratory() {
        return laboratory;
    }

    public void setLaboratory(String laboratory) {
        this.laboratory = laboratory;
    }

    public Date getJcTime() {
        return jcTime;
    }

    public void setJcTime(Date jcTime) {
        this.jcTime = jcTime;
    }

    public String getCjResult() {
        return cjResult;
    }

    public void setCjResult(String cjResult) {
        this.cjResult = cjResult;
    }

    public String getRygx() {
        return rygx;
    }

    public void setRygx(String rygx) {
        this.rygx = rygx;
    }

    public String getRemake() {
        return remake;
    }

    public void setRemake(String remake) {
        this.remake = remake;
    }
}
