package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

/**
 * 解除隔离人员对象 jcglry
 *
 * @author ruoyi
 * @date 2022-12-01
 */
public class Jcglry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 是否区内 */
    @Excel(name = "区域类别",dictType = "is_area",combo = "")
    private String isArea;

    /** 姓名 */
    @Excel(name = "解除人员姓名")
    private String name;

    /** 隔离位置 */
    @Excel(name = "解除酒店",combo = "")
    private String glPlace;

    /** 隔离时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入住时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rzTime;

    /** 解除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "解除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date jcTime;

    /** 人员类别 */
    @Excel(name = "人员类别")
    private String rylb;

    /** 身份证号码 */
    @Excel(name = "身份证号")
    private String cardNo;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 街道/镇 */
    @Excel(name = "所属街道")
    private String street;

    /** 居委会 */
//    @Excel(name = "居委会")
    private String committee;

    /** 小区/村名称 */
//    @Excel(name = "小区/村名称")
    private String community;

    /** 楼号单元号门牌号 */
    @Excel(name = "楼号")
    private String building;

    /** 楼号单元号门牌号 */
    @Excel(name = "单元号")
    private String unit;

    /** 楼号单元号门牌号 */
    @Excel(name = "楼层")
    private String floor;

    /** 楼号单元号门牌号 */
    @Excel(name = "门牌号")
    private String house;

    /** 家庭住址 */
    @Excel(name = "家庭住址")
    private String address;

    /** 转运状态 */
//    @Excel(name = "是否已转走",readConverterExp = "0=是,1=否")
    private String zyStatus;

    /** 是否安排司机 */
    @Excel(name = "已安排司机",dictType = "arrange_drivers",combo = "")
    private String arrangeDrivers;

    /** 备注街道 */
//    @Excel(name = "备注街道")
    private String bzStreet;

    /** 备注住址 */
//    @Excel(name = "备注住址")
    private String bzAddress;

    /** 状态（0正常 1停用） */
//    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    //当前登录人类别
    @Transient
    private String userType;

    //当前登录人所属value
    @Transient
    private String value;

    /**导出选中IDLIST */
    @Transient()
    private List<String> idList;

    public List<String> getIdList() {
        return idList;
    }

    public void setIdList(List<String> idList) {
        this.idList = idList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setIsArea(String isArea)
    {
        this.isArea = isArea;
    }

    public String getIsArea()
    {
        return isArea;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setGlPlace(String glPlace)
    {
        this.glPlace = glPlace;
    }

    public String getGlPlace()
    {
        return glPlace;
    }
    public void setRzTime(Date rzTime)
    {
        this.rzTime = rzTime;
    }

    public Date getRzTime()
    {
        return rzTime;
    }
    public void setJcTime(Date jcTime)
    {
        this.jcTime = jcTime;
    }

    public Date getJcTime()
    {
        return jcTime;
    }
    public void setRylb(String rylb)
    {
        this.rylb = rylb;
    }

    public String getRylb()
    {
        return rylb;
    }
    public void setCardNo(String cardNo)
    {
        this.cardNo = cardNo;
    }

    public String getCardNo()
    {
        return cardNo;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setStreet(String street)
    {
        this.street = street;
    }

    public String getStreet()
    {
        return street;
    }
    public void setCommittee(String committee)
    {
        this.committee = committee;
    }

    public String getCommittee()
    {
        return committee;
    }
    public void setCommunity(String community)
    {
        this.community = community;
    }

    public String getCommunity()
    {
        return community;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setZyStatus(String zyStatus)
    {
        this.zyStatus = zyStatus;
    }

    public String getZyStatus()
    {
        return zyStatus;
    }
    public void setArrangeDrivers(String arrangeDrivers)
    {
        this.arrangeDrivers = arrangeDrivers;
    }

    public String getArrangeDrivers()
    {
        return arrangeDrivers;
    }
    public void setBzStreet(String bzStreet)
    {
        this.bzStreet = bzStreet;
    }

    public String getBzStreet()
    {
        return bzStreet;
    }
    public void setBzAddress(String bzAddress)
    {
        this.bzAddress = bzAddress;
    }

    public String getBzAddress()
    {
        return bzAddress;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("isArea", getIsArea())
            .append("name", getName())
            .append("glPlace", getGlPlace())
            .append("rzTime", getRzTime())
            .append("jcTime", getJcTime())
            .append("rylb", getRylb())
            .append("cardNo", getCardNo())
            .append("phone", getPhone())
            .append("street", getStreet())
            .append("committee", getCommittee())
            .append("community", getCommunity())
            .append("address", getAddress())
            .append("zyStatus", getZyStatus())
            .append("arrangeDrivers", getArrangeDrivers())
            .append("bzStreet", getBzStreet())
            .append("bzAddress", getBzAddress())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getBuilding() {
        return building;
    }

    public void setBuilding(String building) {
        this.building = building;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getHouse() {
        return house;
    }

    public void setHouse(String house) {
        this.house = house;
    }

    public String getFloor() {
        return floor;
    }

    public void setFloor(String floor) {
        this.floor = floor;
    }
}
