package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

/**
 * 抗原异常上报对象 ycsb
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public class Ycsb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 上报日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sbDate;

    /** 异常人员姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 抗原结果 */
    @Excel(name = "抗原结果",readConverterExp = "0=异常,1=正常",combo = {"异常","正常"})
    private String kyResult;

    /** 是否做核酸 */
    @Excel(name = "是否做核酸")
    private String hasAcid;

    /** 身份证号码 */
    @Excel(name = "身份证号")
    private String cardNo;

    @Excel(name = "身份证格式校验")
    private String checkCard;

    /** 联系方式 */
    @Excel(name = "联系电话")
    private String phone;

    /** 居住地所在区 */
    @Excel(name = "居住地所在区", dictType = "residential_area")
    private String area;

    /** 街道/镇 */
    @Excel(name = "单位")
    private String street;

    /** 居委会 */
    @Excel(name = "居委会")
    private String committee;

    /** 小区/村名称 */
    @Excel(name = "小区")
    private String community;

    /** 楼号单元号门牌号 */
    @Excel(name = "楼号")
    private String building;

    /** 楼号单元号门牌号 */
    @Excel(name = "单元号")
    private String unit;

    /** 楼号单元号门牌号 */
    @Excel(name = "门牌号")
    private String house;

    /** 联系方式 */
    @Excel(name = "家庭现住址")
    private String address;

    /** 是否已处理 */
    @Excel(name = "是否已处理",readConverterExp = "0=已处理,1=未处理",type = Excel.Type.EXPORT)
    private String isHandle;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    /** 状态（0正常 1停用） */
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 来源（0管理端 1移动端） */
    private String source;

    /** 创建时间 */
    // 新增于2022-11-30
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime;
    /**导出选中IDLIST */
    @Transient()
    private List<String> idList;

    public List<String> getIdList() {
        return idList;
    }

    public void setIdList(List<String> idList) {
        this.idList = idList;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCheckCard() {
        return checkCard;
    }

    public void setCheckCard(String checkCard) {
        this.checkCard = checkCard;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSbDate(Date sbDate)
    {
        this.sbDate = sbDate;
    }

    public Date getSbDate()
    {
        return sbDate;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setCardNo(String cardNo)
    {
        this.cardNo = cardNo;
    }

    public String getCardNo()
    {
        return cardNo;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setStreet(String street)
    {
        this.street = street;
    }

    public String getStreet()
    {
        return street;
    }
    public void setCommunity(String community)
    {
        this.community = community;
    }

    public String getCommunity()
    {
        return community;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setHasAcid(String hasAcid)
    {
        this.hasAcid = hasAcid;
    }

    public String getHasAcid()
    {
        return hasAcid;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getCommittee() {
        return committee;
    }

    public void setCommittee(String committee) {
        this.committee = committee;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sbDate", getSbDate())
            .append("userName", getUserName())
            .append("cardNo", getCardNo())
            .append("phone", getPhone())
            .append("area", getArea())
            .append("street", getStreet())
            .append("community", getCommunity())
            .append("unit", getUnit())
            .append("hasAcid", getHasAcid())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBuilding() {
        return building;
    }

    public void setBuilding(String building) {
        this.building = building;
    }

    public String getHouse() {
        return house;
    }

    public void setHouse(String house) {
        this.house = house;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getKyResult() {
        return kyResult;
    }

    public void setKyResult(String kyResult) {
        this.kyResult = kyResult;
    }

    public String getIsHandle() {
        return isHandle;
    }

    public void setIsHandle(String isHandle) {
        this.isHandle = isHandle;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }
}
