package com.ruoyi.system.domain;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

/**
 * 阳性人员对象 yxry
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public class Yxry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;
    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "阳性时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date sbDate;

    /** 流调人员 */
//    @Excel(name = "流调人员姓名")
    private String ldry;

    @Excel(name = "人员类别")
    private String userType;

    @Excel(name = "风险")
    private String riskSource;

    /** 居住地所在区 */
    @Excel(name = "居住地所在区", dictType = "residential_area")
    private String area;

    /** 街道/镇 */
    @Excel(name = "所属街道")
    private String street;

    // 新增字段
    @Excel(name = "居委会")
    private String committee;

    /** 小区/村名称 */
    @Excel(name = "小区")
    private String community;

    /** 楼号单元号门牌号 */
    @Excel(name = "楼号")
    private String building;

    /** 楼号单元号门牌号 */
    @Excel(name = "单元号")
    private String unit;

    /** 楼层 */
    @Excel(name = "楼层",combo = "")
    private String floor;

    /** 楼号单元号门牌号 */
    @Excel(name = "门牌号")
    private String house;

    /** 住址 */
    @Excel(name = "住址")
    private String address;

    /** 身份证号码 */
    @Excel(name = "身份证号",cellType= Excel.ColumnType.STRING)
    private String cardNo;

    /** 身份证校验 */
    @Excel(name = "身份证号校验格式")
    private String checkCard;

    /** 联系方式 */
    @Excel(name = "联系电话")
    private String phone;


    /** 是否重症 */
//    @Excel(name = "是否重症", dictType = "yz_status",combo = "")
    private String isYz;

    /** 是否转阴 */
    @Excel(name = "是否转阴", dictType = "yin_status",combo = "")
    private String isYin;

    /** 是否可解除隔离（0是，1否） */
    @Excel(name = "是否可解除隔离（1是，o否）",type = Excel.Type.EXPORT,readConverterExp = "1=是,0=否")
    private String isDeisolation;

    /** 方舱名称 */
    @Excel(name = "所在方舱")
    private String fcName;

    /** 隔离点名称 */
    @Excel(name = "所在隔离点")
    private String glName;

    /** 是否已管控 */
//    @Excel(name = "是否已管控", dictType = "control_status",combo = "")
    private String isControl;

    /** 是否符合居家隔离 */
    @Excel(name = "是否符合居家隔离", dictType = "home_status",combo = "")
    private String isHome;

    /** 转运状态 */
    @Excel(name = "转运状态")
    private String hasAcid;

    /** 转运时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "转运时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date zyTime;


    /** 隔离位置 */
//    @Excel(name = "隔离位置", dictType = "isolation_status",combo = "")
    private String glPlace;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    /** 隔离状态 */
//    @Excel(name = "隔离状态")
    private String isolationStatus;

    /** 状态（0正常 1停用） */
//    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


    /** 身份证是否重复 */
    private String isCf;

    @Transient
    private String begin;

    @Transient
    private String end;

    @Transient
    private String value;

    @Transient
    private LocalDate date;
    /**导出选中IDLIST */
    @Transient()
    private List<String> idList;
    /** 采样时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cyTime;

    public List<String> getIdList() {
        return idList;
    }

    public void setIdList(List<String> idList) {
        this.idList = idList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSbDate(Date sbDate)
    {
        this.sbDate = sbDate;
    }

    public Date getSbDate()
    {
        return sbDate;
    }
    public void setLdry(String ldry)
    {
        this.ldry = ldry;
    }

    public String getLdry()
    {
        return ldry;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setCardNo(String cardNo)
    {
        this.cardNo = cardNo;
    }

    public String getCardNo()
    {
        return cardNo;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setStreet(String street)
    {
        this.street = street;
    }

    public String getStreet()
    {
        return street;
    }
    public void setIsolationStatus(String isolationStatus)
    {
        this.isolationStatus = isolationStatus;
    }

    public String getIsolationStatus()
    {
        return isolationStatus;
    }
    public void setIsControl(String isControl)
    {
        this.isControl = isControl;
    }

    public String getIsControl()
    {
        return isControl;
    }
    public void setCommunity(String community)
    {
        this.community = community;
    }

    public String getCommunity()
    {
        return community;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setHasAcid(String hasAcid)
    {
        this.hasAcid = hasAcid;
    }

    public String getHasAcid()
    {
        return hasAcid;
    }
    public void setGlPlace(String glPlace)
    {
        this.glPlace = glPlace;
    }

    public String getGlPlace()
    {
        return glPlace;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getCommittee() {
        return committee;
    }

    public void setCommittee(String committee) {
        this.committee = committee;
    }

    public LocalDate getDate() {
        return date;
    }

    public void setDate(LocalDate date) {
        this.date = date;
    }

    public String getFcName() {
        return fcName;
    }

    public void setFcName(String fcName) {
        this.fcName = fcName;
    }

    public String getGlName() {
        return glName;
    }

    public void setGlName(String glName) {
        this.glName = glName;
    }

    public String getIsCf() {
        return isCf;
    }

    public void setIsCf(String isCf) {
        this.isCf = isCf;
    }

    public Date getCyTime() {
        return cyTime;
    }

    public void setCyTime(Date cyTime) {
        this.cyTime = cyTime;
    }

    public String getBegin() {
        return begin;
    }

    public void setBegin(String begin) {
        this.begin = begin;
    }

    public String getEnd() {
        return end;
    }

    public void setEnd(String end) {
        this.end = end;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("sbDate", getSbDate())
                .append("ldry", getLdry())
                .append("userName", getUserName())
                .append("cardNo", getCardNo())
                .append("phone", getPhone())
                .append("area", getArea())
                .append("street", getStreet())
                .append("isolationStatus", getIsolationStatus())
                .append("isControl", getIsControl())
                .append("community", getCommunity())
                .append("unit", getUnit())
                .append("hasAcid", getHasAcid())
                .append("glPlace", getGlPlace())
                .append("status", getStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBuilding() {
        return building;
    }

    public void setBuilding(String building) {
        this.building = building;
    }

    public String getHouse() {
        return house;
    }

    public void setHouse(String house) {
        this.house = house;
    }

    public String getIsYz() {
        return isYz;
    }

    public void setIsYz(String isYz) {
        this.isYz = isYz;
    }

    public String getCheckCard() {
        return checkCard;
    }

    public void setCheckCard(String checkCard) {
        this.checkCard = checkCard;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getRiskSource() {
        return riskSource;
    }

    public void setRiskSource(String riskSource) {
        this.riskSource = riskSource;
    }

    public String getIsYin() {
        return isYin;
    }

    public void setIsYin(String isYin) {
        this.isYin = isYin;
    }

    public String getIsHome() {
        return isHome;
    }

    public void setIsHome(String isHome) {
        this.isHome = isHome;
    }

    public Date getZyTime() {
        return zyTime;
    }

    public void setZyTime(Date zyTime) {
        this.zyTime = zyTime;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getFloor() {
        return floor;
    }

    public void setFloor(String floor) {
        this.floor = floor;
    }

    public String getIsDeisolation() {
        return isDeisolation;
    }

    public void setIsDeisolation(String isDeisolation) {
        this.isDeisolation = isDeisolation;
    }
}
