package com.ruoyi.system.mapper;

import java.time.LocalDate;
import java.util.List;
import com.ruoyi.system.domain.Fcry;
import com.ruoyi.system.domain.Gldry;
import com.ruoyi.system.domain.Yxry;
import org.apache.ibatis.annotations.Param;

/**
 * 方舱人员Mapper接口
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public interface FcryMapper
{
    /**
     * 查询方舱人员
     *
     * @param id 方舱人员主键
     * @return 方舱人员
     */
    public Fcry selectFcryById(Long id);

    /**
     * 查询方舱人员列表
     *
     * @param fcry 方舱人员
     * @return 方舱人员集合
     */
    public List<Fcry> selectFcryList(Fcry fcry);
    /**
     * 查询导出方舱人员列表
     *
     * @param fcry 方舱人员
     * @return 方舱人员集合
     */
    public List<Fcry> selectFcryListExport(Fcry fcry);

    /**
     * 新增方舱人员
     *
     * @param fcry 方舱人员
     * @return 结果
     */
    public int insertFcry(Fcry fcry);

    /**
     * 修改方舱人员
     *
     * @param fcry 方舱人员
     * @return 结果
     */
    public int updateFcry(Fcry fcry);

    /**
     * 删除方舱人员
     *
     * @param id 方舱人员主键
     * @return 结果
     */
    public int deleteFcryById(Long id);

    /**
     * 批量删除方舱人员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFcryByIds(Long[] ids);

    List<Fcry> selectFcryByCard(@Param("cardNo") String cardNo);

    void insertBatchFcry(@Param("list")List<Fcry> trueList);

    void updateBatchFcry(@Param("list")List<Fcry> updateList);

    List<Gldry> selectGldryByCard(@Param("cardNo")String cardNo, @Param("id")Long id);

    int selectToday(Yxry yxry);

    int selectCurrent(Yxry yxry);

    List<Fcry> selectAll();

    int updateBatch(@Param("list") List<Fcry> list);

    int updateFcryByCreateBy(@Param("newUserId")String newUserId, @Param("oldUserId")String oldUserId);
}
