package com.ruoyi.system.mapper;

import java.time.LocalDate;
import java.util.List;
import com.ruoyi.system.domain.Fkqk;
import com.ruoyi.system.domain.Yxry;
import org.apache.ibatis.annotations.Param;

/**
 * 小区封控情况Mapper接口
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public interface FkqkMapper
{
    /**
     * 查询小区封控情况
     *
     * @param id 小区封控情况主键
     * @return 小区封控情况
     */
    public Fkqk selectFkqkById(Long id);

    /**
     * 查询小区封控情况列表
     *
     * @param fkqk 小区封控情况
     * @return 小区封控情况集合
     */
    public List<Fkqk> selectFkqkList(Fkqk fkqk);
    /**
     * 查询导出小区封控情况列表
     *
     * @param fkqk 小区封控情况
     * @return 小区封控情况集合
     */
    public List<Fkqk> selectFkqkListExport(Fkqk fkqk);

    /**
     * 新增小区封控情况
     *
     * @param fkqk 小区封控情况
     * @return 结果
     */
    public int insertFkqk(Fkqk fkqk);

    /**
     * 修改小区封控情况
     *
     * @param fkqk 小区封控情况
     * @return 结果
     */
    public int updateFkqk(Fkqk fkqk);

    /**
     * 删除小区封控情况
     *
     * @param id 小区封控情况主键
     * @return 结果
     */
    public int deleteFkqkById(Long id);

    /**
     * 批量删除小区封控情况
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFkqkByIds(Long[] ids);

    void insertBatchFkqk(@Param("list") List<Fkqk> trueList);

    List<String> selectStreet();
    List<String> selectArea();
    List<String> selectFc();


    /**
     * 查询小区封控情况列表
     *
     * @return 小区封控情况集合
     */
    public List<Fkqk> selectFkToday(Yxry yxry);

    /**
     * 查询小区封控情况列表
     *
     * @return 小区封控情况集合
     */
    public List<Fkqk> selectCurrent(Yxry yxry);


    // 根据小区分组
    List<Fkqk> selectCumulativeData(Yxry yxry);
}
