package com.ruoyi.system.mapper;

import java.time.LocalDate;
import java.util.List;
import com.ruoyi.system.domain.Gldry;
import com.ruoyi.system.domain.Yxry;
import org.apache.ibatis.annotations.Param;

/**
 * 隔离点人员Mapper接口
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public interface GldryMapper
{
    /**
     * 查询隔离点人员
     *
     * @param id 隔离点人员主键
     * @return 隔离点人员
     */
    public Gldry selectGldryById(Long id);

    /**
     * 查询隔离点人员列表
     *
     * @param gldry 隔离点人员
     * @return 隔离点人员集合
     */
    public List<Gldry> selectGldryList(Gldry gldry);
    /**
     * 查询导出隔离点人员列表
     *
     * @param gldry 隔离点人员
     * @return 隔离点人员集合
     */
    public List<Gldry> selectGldryListExport(Gldry gldry);

    /**
     * 新增隔离点人员
     *
     * @param gldry 隔离点人员
     * @return 结果
     */
    public int insertGldry(Gldry gldry);

    /**
     * 修改隔离点人员
     *
     * @param gldry 隔离点人员
     * @return 结果
     */
    public int updateGldry(Gldry gldry);

    /**
     * 删除隔离点人员
     *
     * @param id 隔离点人员主键
     * @return 结果
     */
    public int deleteGldryById(Long id);

    /**
     * 批量删除隔离点人员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGldryByIds(Long[] ids);

    /**
     * 根据身份证验重
     * @param cardNo
     * @param id
     * @return
     */
    List<Gldry> selectGldryByCard(@Param("cardNo") String cardNo, @Param("id") Long id);

    int selectToday(Yxry yxry);

    int selectCurrent(Yxry yxry);

    List<Gldry> selectAll();

    int updateBatch(@Param("list") List<Gldry> list);

    int updateGldryByCreateBy(@Param("newUserId")String newUserId, @Param("oldUserId")String oldUserId);
}
