package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Hscj;
import com.ruoyi.system.domain.Yxry;
import com.ruoyi.system.domain.vo.HscjErrorDto;
import org.apache.ibatis.annotations.Param;

/**
 * 核酸采集Mapper接口
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public interface HscjMapper
{
    /**
     * 查询核酸采集
     *
     * @param id 核酸采集主键
     * @return 核酸采集
     */
    public Hscj selectHscjById(Long id);

    /**
     * 查询核酸采集列表
     *
     * @param hscj 核酸采集
     * @return 核酸采集集合
     */
    public List<Hscj> selectHscjList(Hscj hscj);
    /**
     * 查询导出核酸采集列表
     *
     * @param hscj 核酸采集
     * @return 核酸采集集合
     */
    public List<Hscj> selectHscjListExport(Hscj hscj);

    /**
     * 新增核酸采集
     *
     * @param hscj 核酸采集
     * @return 结果
     */
    public int insertHscj(Hscj hscj);

    /**
     * 修改核酸采集
     *
     * @param hscj 核酸采集
     * @return 结果
     */
    public int updateHscj(Hscj hscj);

    /**
     * 删除核酸采集
     *
     * @param id 核酸采集主键
     * @return 结果
     */
    public int deleteHscjById(Long id);

    /**
     * 批量删除核酸采集
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHscjByIds(Long[] ids);

    List<Hscj> checkCard(Hscj hscj);

    List<Hscj> selectToday( Yxry yxry);

    List<Hscj> checkCardBatch(List<Hscj> hscjList);

    int insertBatch(@Param("list")List<HscjErrorDto> list);

    int updateBatch(List<Hscj> updateList);
}
