package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Jcglry;
import org.apache.ibatis.annotations.Param;

/**
 * 解除隔离人员Mapper接口
 * 
 * @author ruoyi
 * @date 2022-12-01
 */
public interface JcglryMapper 
{
    /**
     * 查询解除隔离人员
     * 
     * @param id 解除隔离人员主键
     * @return 解除隔离人员
     */
    public Jcglry selectJcglryById(Long id);

    /**
     * 查询解除隔离人员列表
     * 
     * @param jcglry 解除隔离人员
     * @return 解除隔离人员集合
     */
    public List<Jcglry> selectJcglryList(Jcglry jcglry);
    /**
     * 查询导出解除隔离人员列表
     *
     * @param jcglry 解除隔离人员
     * @return 解除隔离人员集合
     */
    public List<Jcglry> selectJcglryListExport(Jcglry jcglry);

    /**
     * 新增解除隔离人员
     * 
     * @param jcglry 解除隔离人员
     * @return 结果
     */
    public int insertJcglry(Jcglry jcglry);

    /**
     * 修改解除隔离人员
     * 
     * @param jcglry 解除隔离人员
     * @return 结果
     */
    public int updateJcglry(Jcglry jcglry);

    /**
     * 删除解除隔离人员
     * 
     * @param id 解除隔离人员主键
     * @return 结果
     */
    public int deleteJcglryById(Long id);

    /**
     * 批量删除解除隔离人员
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJcglryByIds(Long[] ids);

    List<Jcglry> selectYxryByCard(String cardNo);

    int insertBatchYxry(@Param("list")List<Jcglry> list);

    int updateBatchYxry(@Param("list")List<Jcglry> list);

    public List<Jcglry> selectAllJcglry();

    int updateBatch(@Param("list")List<Jcglry> list);
}
