package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Wzzry;
import com.ruoyi.system.domain.Yxry;
import org.apache.ibatis.annotations.Param;

/**
 * 危重症人员Mapper接口
 * 
 * @author ruoyi
 * @date 2022-12-02
 */
public interface WzzryMapper 
{
    /**
     * 查询危重症人员
     * 
     * @param id 危重症人员主键
     * @return 危重症人员
     */
    public Wzzry selectWzzryById(Long id);

    /**
     * 查询危重症人员列表
     * 
     * @param wzzry 危重症人员
     * @return 危重症人员集合
     */
    public List<Wzzry> selectWzzryList(Wzzry wzzry);
    /**
     * 查询导出危重症人员列表
     *
     * @param wzzry 危重症人员
     * @return 危重症人员集合
     */
    public List<Wzzry> selectWzzryListExport(Wzzry wzzry);

    /**
     * 新增危重症人员
     * 
     * @param wzzry 危重症人员
     * @return 结果
     */
    public int insertWzzry(Wzzry wzzry);

    /**
     * 修改危重症人员
     * 
     * @param wzzry 危重症人员
     * @return 结果
     */
    public int updateWzzry(Wzzry wzzry);

    /**
     * 删除危重症人员
     * 
     * @param id 危重症人员主键
     * @return 结果
     */
    public int deleteWzzryById(Long id);

    /**
     * 批量删除危重症人员
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWzzryByIds(Long[] ids);

    List<Wzzry> selectWzzryByCard(String cardNo);

    int insertBatch(@Param("list")List<Wzzry> list);

    int updateBatch(@Param("list")List<Wzzry> list);
}
