package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Ycsb;
import org.apache.ibatis.annotations.Param;

/**
 * 抗原异常上报Mapper接口
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public interface YcsbMapper
{
    /**
     * 查询抗原异常上报
     *
     * @param id 抗原异常上报主键
     * @return 抗原异常上报
     */
    public Ycsb selectYcsbById(Long id);

    /**
     * 查询抗原异常上报列表
     *
     * @param ycsb 抗原异常上报
     * @return 抗原异常上报集合
     */
    public List<Ycsb> selectYcsbList(Ycsb ycsb);
    /**
     * 查询导出抗原异常上报列表
     *
     * @param ycsb 抗原异常上报
     * @return 抗原异常上报集合
     */
    public List<Ycsb> selectYcsbListExport(Ycsb ycsb);

    /**
     * 新增抗原异常上报
     *
     * @param ycsb 抗原异常上报
     * @return 结果
     */
    public int insertYcsb(Ycsb ycsb);

    /**
     * 修改抗原异常上报
     *
     * @param ycsb 抗原异常上报
     * @return 结果
     */
    public int updateYcsb(Ycsb ycsb);

    /**
     * 删除抗原异常上报
     *
     * @param id 抗原异常上报主键
     * @return 结果
     */
    public int deleteYcsbById(Long id);

    /**
     * 批量删除抗原异常上报
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteYcsbByIds(Long[] ids);

    /**
     * 根据身份证号查询
     * @param cardNo 身份证号
     * @param id
     * @return
     */
    List<Ycsb> selectYcsbByCard(@Param("cardNo") String cardNo, @Param("id")Long id);

}
