package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Yxry;
import com.ruoyi.system.domain.Zlqk;
import org.apache.ibatis.annotations.Param;

/**
 * 阳性人员Mapper接口
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public interface YxryMapper
{
    /**
     * 查询阳性人员
     *
     * @param id 阳性人员主键
     * @return 阳性人员
     */
    public Yxry selectYxryById(Long id);

    /**
     * 查询阳性人员列表
     *
     * @param yxry 阳性人员
     * @return 阳性人员集合
     */
    public List<Yxry> selectYxryList(Yxry yxry);
    /**
     * 查询导出阳性人员列表
     *
     * @param yxry 阳性人员
     * @return 阳性人员集合
     */
    public List<Yxry> selectYxryListExport(Yxry yxry);

    /**
     * 新增阳性人员
     *
     * @param yxry 阳性人员
     * @return 结果
     */
    public int insertYxry(Yxry yxry);

    /**
     * 修改阳性人员
     *
     * @param yxry 阳性人员
     * @return 结果
     */
    public int updateYxry(Yxry yxry);

    /**
     * 删除阳性人员
     *
     * @param id 阳性人员主键
     * @return 结果
     */
    public int deleteYxryById(Long id);

    /**
     * 批量删除阳性人员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteYxryByIds(Long[] ids);

    List<Yxry> selectYxryByCard(String cardNo);

    int insertBatchYxry(@Param("list")List<Yxry> list);

    int updateBatchYxry(@Param("list")List<Yxry> list);

    List<Yxry> statistics(Yxry yxry);

    int selectNum(Yxry userType);

    int updateBatch(@Param("list")List<Yxry> list);

    List<Yxry> selectAll();
}
