package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Zlqk;
import org.apache.ibatis.annotations.Param;

/**
 * 治疗情况Mapper接口
 * 
 * @author ruoyi
 * @date 2022-11-27
 */
public interface ZlqkMapper 
{
    /**
     * 查询治疗情况
     * 
     * @param id 治疗情况主键
     * @return 治疗情况
     */
    public Zlqk selectZlqkById(Long id);

    /**
     * 查询治疗情况列表
     * 
     * @param zlqk 治疗情况
     * @return 治疗情况集合
     */
    public List<Zlqk> selectZlqkList(Zlqk zlqk);
    /**
     * 查询导出治疗情况列表
     *
     * @param zlqk 治疗情况
     * @return 治疗情况集合
     */
    public List<Zlqk> selectZlqkListExport(Zlqk zlqk);

    /**
     * 新增治疗情况
     * 
     * @param zlqk 治疗情况
     * @return 结果
     */
    public int insertZlqk(Zlqk zlqk);

    /**
     * 修改治疗情况
     * 
     * @param zlqk 治疗情况
     * @return 结果
     */
    public int updateZlqk(Zlqk zlqk);

    /**
     * 删除治疗情况
     * 
     * @param id 治疗情况主键
     * @return 结果
     */
    public int deleteZlqkById(Long id);

    /**
     * 批量删除治疗情况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZlqkByIds(Long[] ids);

    /**
     * 查询治疗情况列表
     *
     * @param zlqk 治疗情况
     * @return 治疗情况集合
     */
    public List<Zlqk> selectZlqkByCard(String cardNo);

    /**
     * 批量新增
     * @param list
     * @return
     */
    int insertBatchZlqk(@Param("list") List<Zlqk> list);
}
