package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Fcry;
import com.ruoyi.system.domain.FcryDTO;
import com.ruoyi.system.domain.vo.FcryVo;

import javax.servlet.http.HttpServletResponse;

/**
 * 方舱人员Service接口
 * 
 * @author ruoyi
 * @date 2022-11-28
 */
public interface IFcryService 
{
    /**
     * 查询方舱人员
     * 
     * @param id 方舱人员主键
     * @return 方舱人员
     */
    public Fcry selectFcryById(Long id);

    /**
     * 查询方舱人员列表
     * 
     * @param fcry 方舱人员
     * @return 方舱人员集合
     */
    public List<Fcry> selectFcryList(Fcry fcry);
    /**
     * 查询导出方舱人员列表
     *
     * @param fcry 方舱人员
     * @return 方舱人员集合
     */
    public List<Fcry> selectFcryListExport(Fcry fcry);

    /**
     * 新增方舱人员
     * 
     * @param fcry 方舱人员
     * @return 结果
     */
    public int insertFcry(Fcry fcry);

    /**
     * 修改方舱人员
     * 
     * @param fcry 方舱人员
     * @return 结果
     */
    public int updateFcry(Fcry fcry);

    /**
     * 批量删除方舱人员
     * 
     * @param ids 需要删除的方舱人员主键集合
     * @return 结果
     */
    public int deleteFcryByIds(Long[] ids);

    /**
     * 删除方舱人员信息
     * 
     * @param id 方舱人员主键
     * @return 结果
     */
    public int deleteFcryById(Long id);

    void importUser(List<FcryVo> residentialList, String operName, HttpServletResponse response);
}
