package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Fkqk;
import com.ruoyi.system.domain.vo.FkqkVo;

import javax.servlet.http.HttpServletResponse;

/**
 * 小区封控情况Service接口
 * 
 * @author ruoyi
 * @date 2022-11-28
 */
public interface IFkqkService 
{
    /**
     * 查询小区封控情况
     * 
     * @param id 小区封控情况主键
     * @return 小区封控情况
     */
    public Fkqk selectFkqkById(Long id);

    /**
     * 查询小区封控情况列表
     * 
     * @param fkqk 小区封控情况
     * @return 小区封控情况集合
     */
    public List<Fkqk> selectFkqkList(Fkqk fkqk);
    /**
     * 查询导出小区封控情况列表
     *
     * @param fkqk 小区封控情况
     * @return 小区封控情况集合
     */
    public List<Fkqk> selectFkqkListExport(Fkqk fkqk);

    /**
     * 新增小区封控情况
     * 
     * @param fkqk 小区封控情况
     * @return 结果
     */
    public int insertFkqk(Fkqk fkqk);

    /**
     * 修改小区封控情况
     * 
     * @param fkqk 小区封控情况
     * @return 结果
     */
    public int updateFkqk(Fkqk fkqk);

    /**
     * 批量删除小区封控情况
     * 
     * @param ids 需要删除的小区封控情况主键集合
     * @return 结果
     */
    public int deleteFkqkByIds(Long[] ids);

    /**
     * 删除小区封控情况信息
     * 
     * @param id 小区封控情况主键
     * @return 结果
     */
    public int deleteFkqkById(Long id);

    void importUser(List<FkqkVo> residentialList, HttpServletResponse response);

    List<String> selectStreet();
    List<String> selectArea();
    List<String> selectFc();
}
