package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Gldry;
import com.ruoyi.system.domain.Hscj;
import com.ruoyi.system.domain.vo.GldryVo;

import javax.servlet.http.HttpServletResponse;

/**
 * 隔离点人员Service接口
 * 
 * @author ruoyi
 * @date 2022-11-28
 */
public interface IGldryService 
{
    /**
     * 查询隔离点人员
     * 
     * @param id 隔离点人员主键
     * @return 隔离点人员
     */
    public Gldry selectGldryById(Long id);

    /**
     * 查询隔离点人员列表
     * 
     * @param gldry 隔离点人员
     * @return 隔离点人员集合
     */
    public List<Gldry> selectGldryList(Gldry gldry);
    /**
     * 查询导出隔离点人员列表
     *
     * @param gldry 隔离点人员
     * @return 隔离点人员集合
     */
    public List<Gldry> selectGldryListExport(Gldry gldry);

    /**
     * 新增隔离点人员
     * 
     * @param gldry 隔离点人员
     * @return 结果
     */
    public int insertGldry(Gldry gldry);

    /**
     * 修改隔离点人员
     * 
     * @param gldry 隔离点人员
     * @return 结果
     */
    public int updateGldry(Gldry gldry);

    /**
     * 批量删除隔离点人员
     * 
     * @param ids 需要删除的隔离点人员主键集合
     * @return 结果
     */
    public int deleteGldryByIds(Long[] ids);

    /**
     * 删除隔离点人员信息
     * 
     * @param id 隔离点人员主键
     * @return 结果
     */
    public int deleteGldryById(Long id);

    public void importList(List<GldryVo> list, String operName, HttpServletResponse response);
}
