package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Hscj;
import com.ruoyi.system.domain.Zlqk;
import com.ruoyi.system.domain.vo.HscjErrorDto;

import javax.servlet.http.HttpServletResponse;

/**
 * 核酸采集Service接口
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public interface IHscjService
{
    /**
     * 查询核酸采集
     *
     * @param id 核酸采集主键
     * @return 核酸采集
     */
    public Hscj selectHscjById(Long id);

    /**
     * 查询核酸采集列表
     *
     * @param hscj 核酸采集
     * @return 核酸采集集合
     */
    public List<Hscj> selectHscjList(Hscj hscj);
    /**
     * 查询导出核酸采集列表
     *
     * @param hscj 核酸采集
     * @return 核酸采集集合
     */
    public List<Hscj> selectHscjListExport(Hscj hscj);

    /**
     * 新增核酸采集
     *
     * @param hscj 核酸采集
     * @return 结果
     */
    public int insertHscj(Hscj hscj);

    /**
     * 修改核酸采集
     *
     * @param hscj 核酸采集
     * @return 结果
     */
    public int updateHscj(Hscj hscj);

    /**
     * 批量删除核酸采集
     *
     * @param ids 需要删除的核酸采集主键集合
     * @return 结果
     */
    public int deleteHscjByIds(Long[] ids);

    /**
     * 删除核酸采集信息
     *
     * @param id 核酸采集主键
     * @return 结果
     */
    public int deleteHscjById(Long id);

    void importList(List<HscjErrorDto> list, HttpServletResponse response);

    List<Hscj> checkCard(Hscj hscj);
}
