package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Jcglry;
import com.ruoyi.system.domain.Yxry;
import com.ruoyi.system.domain.vo.JcglryVo;

import javax.servlet.http.HttpServletResponse;

/**
 * 解除隔离人员Service接口
 * 
 * @author ruoyi
 * @date 2022-12-01
 */
public interface IJcglryService 
{
    /**
     * 查询解除隔离人员
     * 
     * @param id 解除隔离人员主键
     * @return 解除隔离人员
     */
    public Jcglry selectJcglryById(Long id);

    /**
     * 查询解除隔离人员列表
     * 
     * @param jcglry 解除隔离人员
     * @return 解除隔离人员集合
     */
    public List<Jcglry> selectJcglryList(Jcglry jcglry);
    /**
     * 查询导出解除隔离人员列表
     *
     * @param jcglry 解除隔离人员
     * @return 解除隔离人员集合
     */
    public List<Jcglry> selectJcglryListExport(Jcglry jcglry);

    /**
     * 新增解除隔离人员
     * 
     * @param jcglry 解除隔离人员
     * @return 结果
     */
    public int insertJcglry(Jcglry jcglry);

    /**
     * 修改解除隔离人员
     * 
     * @param jcglry 解除隔离人员
     * @return 结果
     */
    public int updateJcglry(Jcglry jcglry);

    /**
     * 批量删除解除隔离人员
     * 
     * @param ids 需要删除的解除隔离人员主键集合
     * @return 结果
     */
    public int deleteJcglryByIds(Long[] ids);

    /**
     * 删除解除隔离人员信息
     * 
     * @param id 解除隔离人员主键
     * @return 结果
     */
    public int deleteJcglryById(Long id);

    void importList(List<JcglryVo> list, HttpServletResponse response);
}
