package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Wzzry;
import com.ruoyi.system.domain.vo.WzzryVo;

import javax.servlet.http.HttpServletResponse;

/**
 * 危重症人员Service接口
 * 
 * @author ruoyi
 * @date 2022-12-02
 */
public interface IWzzryService 
{
    /**
     * 查询危重症人员
     * 
     * @param id 危重症人员主键
     * @return 危重症人员
     */
    public Wzzry selectWzzryById(Long id);

    /**
     * 查询危重症人员列表
     * 
     * @param wzzry 危重症人员
     * @return 危重症人员集合
     */
    public List<Wzzry> selectWzzryList(Wzzry wzzry);
    /**
     * 查询危重症人员列表
     *
     * @param wzzry 危重症人员
     * @return 危重症人员集合
     */
    public List<Wzzry> selectWzzryListExport(Wzzry wzzry);

    /**
     * 新增危重症人员
     * 
     * @param wzzry 危重症人员
     * @return 结果
     */
    public int insertWzzry(Wzzry wzzry);

    /**
     * 修改危重症人员
     * 
     * @param wzzry 危重症人员
     * @return 结果
     */
    public int updateWzzry(Wzzry wzzry);

    /**
     * 批量删除危重症人员
     * 
     * @param ids 需要删除的危重症人员主键集合
     * @return 结果
     */
    public int deleteWzzryByIds(Long[] ids);

    /**
     * 删除危重症人员信息
     * 
     * @param id 危重症人员主键
     * @return 结果
     */
    public int deleteWzzryById(Long id);

    void importList(List<WzzryVo> list, HttpServletResponse response);
}
