package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Ycsb;
import com.ruoyi.system.domain.vo.YcsbVo;

import javax.servlet.http.HttpServletResponse;

/**
 * 抗原异常上报Service接口
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public interface IYcsbService
{
    /**
     * 查询抗原异常上报
     *
     * @param id 抗原异常上报主键
     * @return 抗原异常上报
     */
    public Ycsb selectYcsbById(Long id);

    /**
     * 查询抗原异常上报列表
     *
     * @param ycsb 抗原异常上报
     * @return 抗原异常上报集合
     */
    public List<Ycsb> selectYcsbList(Ycsb ycsb);
    /**
     * 查询导出抗原异常上报列表
     *
     * @param ycsb 抗原异常上报
     * @return 抗原异常上报集合
     */
    public List<Ycsb> selectYcsbListExport(Ycsb ycsb);

    /**
     * 新增抗原异常上报
     *
     * @param ycsb 抗原异常上报
     * @return 结果
     */
    public int insertYcsb(Ycsb ycsb);

    /**
     * 修改抗原异常上报
     *
     * @param ycsb 抗原异常上报
     * @return 结果
     */
    public int updateYcsb(Ycsb ycsb);

    /**
     * 批量删除抗原异常上报
     *
     * @param ids 需要删除的抗原异常上报主键集合
     * @return 结果
     */
    public int deleteYcsbByIds(Long[] ids);

    /**
     * 删除抗原异常上报信息
     *
     * @param id 抗原异常上报主键
     * @return 结果
     */
    public int deleteYcsbById(Long id);

    /**
     * 导入抗原异常上报信息
     * @param list 导入的list数据
     * @param response
     */
    void importList(List<YcsbVo> list, HttpServletResponse response);

    List<Ycsb> checkCard(Ycsb ycsb);
}
