package com.ruoyi.system.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.Yxry;
import com.ruoyi.system.domain.Zlqk;
import com.ruoyi.system.domain.vo.YxryVo;

import javax.servlet.http.HttpServletResponse;

/**
 * 阳性人员Service接口
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public interface IYxryService
{
    /**
     * 查询阳性人员
     *
     * @param id 阳性人员主键
     * @return 阳性人员
     */
    public Yxry selectYxryById(Long id);

    /**
     * 查询阳性人员列表
     *
     * @param yxry 阳性人员
     * @return 阳性人员集合
     */
    public List<Yxry> selectYxryList(Yxry yxry);
    /**
     * 查询导出阳性人员列表
     *
     * @param yxry 阳性人员
     * @return 阳性人员集合
     */
    public List<Yxry> selectYxryListExport(Yxry yxry);

    /**
     * 新增阳性人员
     *
     * @param yxry 阳性人员
     * @return 结果
     */
    public int insertYxry(Yxry yxry);

    /**
     * 修改阳性人员
     *
     * @param yxry 阳性人员
     * @return 结果
     */
    public int updateYxry(Yxry yxry);

    /**
     * 批量删除阳性人员
     *
     * @param ids 需要删除的阳性人员主键集合
     * @return 结果
     */
    public int deleteYxryByIds(Long[] ids);

    /**
     * 删除阳性人员信息
     *
     * @param id 阳性人员主键
     * @return 结果
     */
    public int deleteYxryById(Long id);

    void importList(List<YxryVo> list, HttpServletResponse response);

    Map selectByCard(String card);

    Map statistics(Yxry yxry);
}
