package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.Zlqk;
import com.ruoyi.system.domain.vo.ZlqkVo;

import javax.servlet.http.HttpServletResponse;

/**
 * 治疗情况Service接口
 * 
 * @author ruoyi
 * @date 2022-11-27
 */
public interface IZlqkService 
{
    /**
     * 查询治疗情况
     * 
     * @param id 治疗情况主键
     * @return 治疗情况
     */
    public Zlqk selectZlqkById(Long id);

    /**
     * 查询治疗情况列表
     * 
     * @param zlqk 治疗情况
     * @return 治疗情况集合
     */
    public List<Zlqk> selectZlqkList(Zlqk zlqk);
    /**
     * 查询导出治疗情况列表
     *
     * @param zlqk 治疗情况
     * @return 治疗情况集合
     */
    public List<Zlqk> selectZlqkListExport(Zlqk zlqk);

    /**
     * 新增治疗情况
     * 
     * @param zlqk 治疗情况
     * @return 结果
     */
    public int insertZlqk(Zlqk zlqk);

    /**
     * 修改治疗情况
     * 
     * @param zlqk 治疗情况
     * @return 结果
     */
    public int updateZlqk(Zlqk zlqk);

    /**
     * 批量删除治疗情况
     * 
     * @param ids 需要删除的治疗情况主键集合
     * @return 结果
     */
    public int deleteZlqkByIds(Long[] ids);

    /**
     * 删除治疗情况信息
     * 
     * @param id 治疗情况主键
     * @return 结果
     */
    public int deleteZlqkById(Long id);

    void importList(List<ZlqkVo> list, HttpServletResponse response);
}
