package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BdFormMapper;
import com.ruoyi.system.domain.BdForm;
import com.ruoyi.system.service.IBdFormService;

/**
 * 单Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-11-27
 */
@Service
public class BdFormServiceImpl implements IBdFormService 
{
    @Autowired
    private BdFormMapper bdFormMapper;

    /**
     * 查询单
     * 
     * @param id 单主键
     * @return 单
     */
    @Override
    public BdForm selectBdFormById(Long id)
    {
        return bdFormMapper.selectBdFormById(id);
    }

    /**
     * 查询单列表
     * 
     * @param bdForm 单
     * @return 单
     */
    @Override
    public List<BdForm> selectBdFormList(BdForm bdForm)
    {
        return bdFormMapper.selectBdFormList(bdForm);
    }

    /**
     * 新增单
     * 
     * @param bdForm 单
     * @return 结果
     */
    @Override
    public int insertBdForm(BdForm bdForm)
    {
        bdForm.setCreateBy(String.valueOf(SecurityUtils.getUserId()));
        bdForm.setCreateTime(DateUtils.getNowDate());
        return bdFormMapper.insertBdForm(bdForm);
    }

    /**
     * 修改单
     * 
     * @param bdForm 单
     * @return 结果
     */
    @Override
    public int updateBdForm(BdForm bdForm)
    {
        bdForm.setUpdateTime(DateUtils.getNowDate());
        return bdFormMapper.updateBdForm(bdForm);
    }

    /**
     * 批量删除单
     * 
     * @param ids 需要删除的单主键
     * @return 结果
     */
    @Override
    public int deleteBdFormByIds(Long[] ids)
    {
        return bdFormMapper.deleteBdFormByIds(ids);
    }

    /**
     * 删除单信息
     * 
     * @param id 单主键
     * @return 结果
     */
    @Override
    public int deleteBdFormById(Long id)
    {
        return bdFormMapper.deleteBdFormById(id);
    }
}
